Subject: RE: Gtk test program working with Cygwin
From: "Todd Goodman" <[email-masked]>
To: "'Tor Lillqvist'" <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 8 Nov 1999 22:26:14 -0500

Glib/GTK/Imlib for X pretty much built fine under cygwin using ./configure
last
time I tried.  I'm not sure what I did about the thread support, but it
ran well enough to run Freeciv.

So no separate port for Cygwin/X required as far as I can tell.

I'm still working on trying to get a native windows/Cygwin build going
though.

Thanks for all the work Tor!

Todd

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Tor Lillqvist
> Sent: Monday, November 08, 1999 2:15 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Gtk test program working with Cygwin
>
>
> Adrian Hamilton writes:
>  > Hello.  Has anyone got the gtk test program testgtk.c
> working properly
>  > with cygwin?
>
> You mean building GTk+ for Windows GDI windowing, but using the cygwin
> C runtime (and POSIX emulation)?  I have never tried that combination
> myself. How do you handle the GLib message loop stuff? Do you go the
> full way and do it as if you were on POSIX (i.e. use cygwin's
> select(), also for /dev/windows), or do you use the same ugly (but
> working, for the GIMP at least) hack as for "native" Win32?
>
> Or are you talking about Craig Setera's old and abandoned port of GTk+
> 1.0 (or whatever version it was), that used X11 windowing and Cygwin?
>
> --tml
>
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]